summaryrefslogtreecommitdiffstats
path: root/initrd/initrd-stuff/bin/servconfig
diff options
context:
space:
mode:
authorDirk von Suchodoletz2006-05-18 19:07:30 +0200
committerDirk von Suchodoletz2006-05-18 19:07:30 +0200
commit6d40cb3981a1243ff64242ecc0573cff21931d29 (patch)
tree9e6bc30332298961126a6e73689d079d8d821616 /initrd/initrd-stuff/bin/servconfig
parentMoved autofs configuration to servconfig, try to load modules for usb (diff)
downloadcore-6d40cb3981a1243ff64242ecc0573cff21931d29.tar.gz
core-6d40cb3981a1243ff64242ecc0573cff21931d29.tar.xz
core-6d40cb3981a1243ff64242ecc0573cff21931d29.zip
fixed autofs bug ...
git-svn-id: http://svn.openslx.org/svn/openslx/ld4@218 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initrd/initrd-stuff/bin/servconfig')
-rwxr-xr-xinitrd/initrd-stuff/bin/servconfig9
1 files changed, 2 insertions, 7 deletions
diff --git a/initrd/initrd-stuff/bin/servconfig b/initrd/initrd-stuff/bin/servconfig
index bb5e7117..10963822 100755
--- a/initrd/initrd-stuff/bin/servconfig
+++ b/initrd/initrd-stuff/bin/servconfig
@@ -196,8 +196,8 @@ if [ -n "${automnt_src}" ] ; then
# remove leading and trailing slash
automnt_dir=${automnt_dir#/}
automnt_dir=${automnt_dir%/}
- test -d ${automnt_dir} || error "scfg_erradir"
- strinstr "/" ${automnt_dir} || error "scfg_erratpld"
+ test -d ${automnt_dir} || error "$scfg_erradir"
+ strinstr "/" ${automnt_dir} || error "$scfg_erratpld"
echo -e "/${automnt_dir}\t/etc/auto.${automnt_dir}\n" \
>> /mnt/etc/auto.master
echo -e "# /etc/auto.${automnt_dir} created by $0:\n" \
@@ -207,11 +207,6 @@ if [ -n "${automnt_src}" ] ; then
# portmapper is needed for remote NFS sources
config_portmap
fi
-echo -e "# /etc/${D_SYSCONFDIR}/autofs - file modified by\n#\t$0:\n#" \
- > /etc/autofs
-sed -e "s,AUTOFS_OPTIONS.*,AUTOFS_OPTIONS=\"--timeout 3\"," \
- /mnt/etc/${D_SYSCONFDIR}/autofs >> /etc/autofs
-cp /etc/autofs /mnt/etc/${D_SYSCONFDIR}/autofs
config_automount
# fi